%global project_owner rtfd
%global github_name recommonmark
%global sum docutils-compatibility bridge to CommonMark
%global desc A docutils-compatibility bridge to CommonMark.\
\
This allows you to write CommonMark inside of Docutils & Sphinx projects.\
\
Documentation is available on Read the Docs: http://recommonmark.readthedocs.org

Name:           python-%{github_name}
Version:        0.6.0
Release:        %mkrel 1
Summary:        %{sum}
Group:          Development/Python
License:        MIT
URL:            https://github.com/%{project_owner}/%{github_name}
Source0:        https://github.com/%{project_owner}/%{github_name}/archive/%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}


%package -n     python3-%{github_name}
Summary:        %{sum}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-CommonMark
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx
Requires:       python3-docutils
Requires:       python3-CommonMark
Requires:       python3-sphinx
%{?python_provide:%python_provide python3-%{github_name}}

%description -n python3-%{github_name}
%{desc}


%prep
%setup -qn %{github_name}-%{version}
# Remove upstream's egg-info
rm -rf %{github_name}.egg-info

sed -i '1{\@^#!/usr/bin/env python@d}' recommonmark/scripts.py


%build
%py3_build


%install
#  install python3 first to have unversioned binaries for python 3
%py3_install
pushd %{buildroot}%{_bindir}  # Enter buildroot bindir to ease symlink creation
for cm2bin in cm2*; do
    mv "${cm2bin}" "${cm2bin}-%{python3_version}"
    ln -s "${cm2bin}-%{python3_version}" "${cm2bin}-3"
done
popd  # Leave buildroot bindir



%check
# Skip some tests because of https://github.com/readthedocs/recommonmark/issues/164
PYTHONPATH=$(pwd) py.test-%{python3_version} -k 'not test_lists and not test_integration and not test_sphinx' .


%files -n python3-%{github_name}
%doc README.md
%license license.md
%{python3_sitelib}/%{github_name}-%{version}*-py%{python3_version}.egg-info/
%{python3_sitelib}/%{github_name}/
%{_bindir}/cm2*-3
%{_bindir}/cm2*-%{python3_version}




%changelog
* Sat Sep 19 2020 joequant <joequant> 0.6.0-1.mga8
+ Revision: 1628826
- update to 0.6.0

* Sun Feb 16 2020 umeabot <umeabot> 0.5.0-2.mga8
+ Revision: 1532200
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.5.0-1.mga8
+ Revision: 1442110
- new release
- rebuild for python-3.8

* Fri Apr 12 2019 tv <tv> 0.4.0-1.mga7
+ Revision: 1389278
- imported package python-recommonmark

